Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class LabelLeAssertion_c

    java.lang.Object
      polyglot.types.TypeObject_c
          jif.types.LabelLeAssertion_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Assertion, LabelLeAssertion, polyglot.types.TypeObject, polyglot.util.Copy

    public class LabelLeAssertion_c

extends polyglot.types.TypeObject_c
implements LabelLeAssertion

See Also:
  Serialized Form

Field Summary

Fields inherited from class polyglot.types.TypeObject_c
`position, ts`

Constructor Summary
`LabelLeAssertion_c(JifTypeSystem ts, Label lhs, Label rhs, polyglot.util.Position pos)`

Method Summary
`boolean` | `isCanonical()`
`Label` | `lhs()`
`LabelLeAssertion` | `lhs(Label lhs)`
`Label` | `rhs()`
`LabelLeAssertion` | `rhs(Label rhs)`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.types.TypeObject_c
`copy, equals, equalsImpl, hashCode, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.types.TypeObject
`equalsImpl, position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### LabelLeAssertion_c

    public LabelLeAssertion_c(JifTypeSystem ts,
                              Label lhs,
                              Label rhs,
                              polyglot.util.Position pos)

Method Detail

### lhs

    public Label lhs()

  Specified by:
    `lhs` in interface `LabelLeAssertion`

### rhs

    public Label rhs()

  Specified by:
    `rhs` in interface `LabelLeAssertion`

### lhs

    public LabelLeAssertion lhs(Label lhs)

  Specified by:
    `lhs` in interface `LabelLeAssertion`

### rhs

    public LabelLeAssertion rhs(Label rhs)

  Specified by:
    `rhs` in interface `LabelLeAssertion`

### isCanonical

    public boolean isCanonical()

  Specified by:
    `isCanonical` in interface `polyglot.types.TypeObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD